Bug 129413 - CPU fan never shuts down on ThinkPad A31p
CPU fan never shuts down on ThinkPad A31p
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-08-08 12:09 EDT by Dimitris
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-08 09:37:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dimitris 2004-08-08 12:09:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The CPU fan on my A31p never stops running. It runs 24/7 at full
speed, no matter what the cpu load or temperature.

I suspect it is an ACPI issue since acpi doesn't seem to detect the
cpu fan at all.

The path: /proc/acpi/fan/, is completely empty. I've seen other
laptops have some kind of sensor information in there.

The problem is more evident when the laptop runs on battery, the fan
runs at full speed all the time and thus lowers battery life by 10%!

Running winblowz on the same machine shows that the cpu fan only comes
up at high cpu temperature.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot Fedora
2. listen to the fan spin
3. forever...

Actual Results:  fan spins constantly

Expected Results:  fan spins only when cpu is at a high temperature

Additional info:


IBM ThinkPad A31p
1 gig ram
80 gig hdd
2xDVD drives
ATI FireGL 7800 M7
Intel Pentium 4 2.0ghz

Fedora Core 2
kernel 2.6.7-1.494.2.2
Comment 1 Marcel van Osenbruggen 2004-12-24 08:49:04 EST
Same with FC3. Also tested with other kernels... Probably simething 
in ACPI .... 
Comment 2 Dimitris 2004-12-24 09:06:41 EST
Yup, indeed.

Maybe the IBM Power Management driver for Windowz takes care of that
under windoze. In that case, the cpu fan is software controlled and
not controlled by the BIOS or some hardware temperature thingy.

If the fan is controlled via software, then this is a dead issue. IBM
never releases any hardware information for their ThinkPads. One such
example is the lm_sensors util that kills ThinkPads, IBM never helped
solve the problem.
Comment 3 Dave Jones 2005-07-15 15:32:36 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dimitris 2005-09-08 09:37:57 EDT
The ibm-acpi project has managed to control the CPU fan, thus making it possible
to turn off and on the fan based on the CPU temperature.

Note You need to log in before you can comment on or make changes to this bug.